.error-panel h2 {
  margin-top: 0;
}

.loading {
  text-align: center;
}

.loading h1 {
  margin-bottom: 1em;
}

.loading img {
  height: 128px;
  animation: shake 0.82s cubic-bezier(.36,.07,.19,.97) infinite both;
  transform: translate3d(0, 0, 0);
  backface-visibility: hidden;
  perspective: 1000px;
}

@keyframes shake {
  10%, 90% {
    transform: translate3d(-1px, 0, 0);
  }

  20%, 80% {
    transform: translate3d(2px, 0, 0);
  }

  30%, 50%, 70% {
    transform: translate3d(-4px, 0, 0);
  }

  40%, 60% {
    transform: translate3d(4px, 0, 0);
  }
}

.parameters-panel {
  max-width: 800px;
  margin: auto auto;
}

.parameters-panel input[type="range"] {
  cursor: pointer !important;
}

.app-results {
  position: absolute;
  top: 80px;
  bottom: 116px;
  /*width: 100%;*/
  left: 64px;
  right: 64px;
  margin: 0;
}

.app-results .network-vis {
  height: calc(100% - 64px);
}
